> ## Documentation Index
> Fetch the complete documentation index at: https://new-docs.simplecloud.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Execute a manual workflow for all running servers in a server group

> Execute a configured manual workflow for all eligible servers in a server group



## OpenAPI

````yaml https://controller.simplecloud.app/swagger/doc.json post /v0/server-groups/workflows/manual
openapi: 3.1.0
info:
  contact:
    email: support@swagger.io
    name: API Support
    url: http://www.swagger.io/support
  description: API for SimpleCloud Controller
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://swagger.io/terms/
  title: SimpleCloud Controller API
  version: '1.0'
servers:
  - url: https://controller.platform.simplecloud.app/
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /v0/server-groups/workflows/manual:
    post:
      tags:
        - server-groups
      summary: Execute a manual workflow for all running servers in a server group
      description: >-
        Execute a configured manual workflow for all eligible servers in a
        server group
      parameters:
        - description: Network ID
          in: header
          name: X-Network-ID
          required: true
          schema:
            type: string
        - description: Network Secret
          in: header
          name: X-Network-Secret
          required: true
          schema:
            type: string
        - description: Server Group ID
          in: query
          name: server_group_id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/models.ExecuteManualWorkflowRequest'
        description: Manual workflow execution request
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ExecuteServerGroupWorkflowResponse'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Not Found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Internal Server Error
components:
  schemas:
    models.ExecuteManualWorkflowRequest:
      description: Request to execute a manual workflow.
      properties:
        workflow_id:
          example: internal.cleanup
          type: string
      type: object
    models.ExecuteServerGroupWorkflowResponse:
      description: >-
        Response for executing a manual workflow on all eligible servers in a
        server group.
      properties:
        failed_servers:
          items:
            $ref: '#/components/schemas/models.ExecuteManualWorkflowFailure'
          type: array
          uniqueItems: false
        message:
          example: Manual workflow execution completed
          type: string
        server_group_id:
          example: 123e4567-e89b-12d3-a456-426614174000
          type: string
        skipped_server_ids:
          items:
            type: string
          type: array
          uniqueItems: false
        succeeded_server_ids:
          items:
            type: string
          type: array
          uniqueItems: false
        total_servers:
          example: 3
          type: integer
        workflow_id:
          example: internal.cleanup
          type: string
      type: object
    models.ErrorResponse:
      description: Generic error response
      properties:
        error:
          type: string
      type: object
    models.ExecuteManualWorkflowFailure:
      description: Failed workflow execution details for one server.
      properties:
        error_message:
          example: workflow execution was rejected by serverhost
          type: string
        server_id:
          example: 123e4567-e89b-12d3-a456-426614174000
          type: string
      type: object

````